#
# $Id: gs.rps $
# Spec file for Aladdin Ghostscript 5.50
#
# Based on RPM Spec file by RedHat for GNU Ghostscript 3.33
#
# For each new version of Ghostscript, you will need to change 
#   Version:
#   Source[0-3]:
#   Patch:
#   Patch1:
#   directory renaming of 3rd party libraries in %prep
#   update the patch files.
#
#
Summary: PostScript interpreter and renderer
Name: ghostscript
Version: 5.50
Release: 12
Copyright: Aladdin Free Public License, Aladdin Enterprises
Group: Applications/Graphics
Source0: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs550/ghostscript-5.50.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs550/ghostscript-5.50jpeg.tar.gz
Source2: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs550/ghostscript-5.50libpng.tar.gz
Source3: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs550/ghostscript-5.50zlib.tar.gz
Patch: ghostscript-5.50-config+l3.patch
Patch1: ghostscript-5.50-ps2pdf.patch
Patch2: ghostscript-5.50-bitmap.patch
Patch3: ghostscript-5.50-setcolor.patch
Patch4: ghostscript-5.50-SPARCprinter.patch
Patch5: ghostscript-5.50-ps2pdfbitmap.patch
Patch6: ghostscript-5.50-libpng.patch
Patch7: ghostscript-5.50-MacTrueType.patch
Patch8: ghostscript-5.50-990220.patch
Patch9: ghostscript-5.50-990220a.patch
Patch10: ghostscript-5.50-990220b.patch
Patch11: ghostscript-5.50-990220c.patch
# Removed for legal reasons 1999/03/24 CG
#Patch12: ghostscript-5.50-security.rep

URL: http://www.cs.wisc.edu/~ghost/
#Icon: ghost.gif
Distribution: Fermi v6.1.1
Vendor: Aladdin Enterprises
Packager: Chris Green for Fermilab <greenc@fnal.gov>
Requires: ghostscript-fonts-std
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for colour printers), and popular
graphics file formats. This release contains all Aladdin errata and
patches up to and including 1999/03/16.

%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}
mkdir $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}
#
# unpack main sources
%setup -n gs%{PACKAGE_VERSION}
#
# unpack jpeg
%setup -T -D -a 1 -n gs%{PACKAGE_VERSION}
# For gs 5.50, rename jpeg subdirectory
mv $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/jpeg-6b  $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/jpeg
#
# unpack libpng
%setup -T -D -a 2 -n gs%{PACKAGE_VERSION}
# For gs 5.50, rename libpng subdirectory
mv $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/libpng-1.0.2  $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/libpng
#
# unpack zlib
%setup -T -D -a 3 -n gs%{PACKAGE_VERSION}
# For gs 5.50, rename zlib subdirectory
mv $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/zlib-1.1.3  $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/zlib
#
# copy the makefile, then patch the new copy
cp $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/unix-gcc.mak $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/Makefile

# Copy the real pdf security file in
# Removed for legal reasons 1999/03/24 CG
#cp $RPM_SOURCE_DIR/ghostscript-5.50-security.rep $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/pdf_sec.ps

%patch  -p1 -b .config+l3
%patch1 -p1 -b .ps2pdf
%patch2 -p1 -b .bitmap
%patch3 -b .setcolor
%patch4 -b .SPARCprinter
%patch5 -b .ps2pdfbitmap
%patch6 -b .libpng
%patch7 -b .MacTrueType
%patch8 -b .990220
%patch9 -b .990220a
%patch10 -b .990220b
%patch11 -b .990220c

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,doc}
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
strip $RPM_BUILD_ROOT/usr/bin/gs

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/doc/ghostscript-%{PACKAGE_VERSION}
/usr/bin/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{PACKAGE_VERSION}
/usr/share/ghostscript/%{PACKAGE_VERSION}/*ps
/usr/share/ghostscript/%{PACKAGE_VERSION}/*.upp
/usr/share/ghostscript/%{PACKAGE_VERSION}/*.ppd
%config /usr/share/ghostscript/%{PACKAGE_VERSION}/Fontmap
/usr/share/ghostscript/%{PACKAGE_VERSION}/examples
/usr/man/*/*
